> For the complete documentation index, see [llms.txt](https://docs.wepin.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wepin.io/en/widget-integration/flutter-sdk/login-library/initialization.md).

# Initialization

After installing the Wepin Flutter Login Library, the next step is to initialize the SDK. SDK initialization involves creating an instance of `WepinLogin` and using the `init()` function to proceed.

## **Import SDK**

To use the Wepin Flutter Login Library, you first need to import the SDK. Add the following import statements:

```dart
import 'package:wepin_flutter_login_lib/wepin_flutter_login_lib.dart';
import 'package:wepin_flutter_login_lib/type/wepin_flutter_login_lib_type.dart';
```

## **Creating and Initializing the `WepinLogin`Instance**

Before creating an instance of `WepinLogin`, you must register your app's Android/iOS information in the Wepin Workspace.

{% content-ref url="/pages/jbQ0WaKQeMfxsY4nDVeP" %}
[App Registration](/en/archive/getstarted/registration.md)
{% endcontent-ref %}

Using the registered app information, create an instance of `WepinLogin`. In the `state init` stage of the `main.dart` file, create and initialize the `WepinLogin` instance as follows:

{% code title="main.dart" %}

```dart
WepinLogin wepinLogin = WepinLogin(
    wepinAppKey: wepinAppKey, 
    wepinAppId: wepinAppId
);
await wepinLogin.init();
```

{% endcode %}

## **Checking Initialization Status (isInitialized)**

You can check whether the `WepinLogin` instance has been successfully initialized by using the `isInitialized` method.

The return value is as follows:

* **bool**
  * Returns `true` if initialization was successful, and `false` if it failed.

#### **Example**

```dart
if (wepinLogin.isInitialized()) {
    // Success to initialize WepinLogin
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wepin.io/en/widget-integration/flutter-sdk/login-library/initialization.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
